import { jsx } from "react/jsx-runtime";
import { SmileySadIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const SmileySad = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "SmileySad", ...props, children: /* @__PURE__ */ jsx(SmileySadIcon, { weight: variant }) });
  }
);
SmileySad.displayName = "SmileySad";
Object.assign(SmileySad, { isGdsIcon: true });
export {
  SmileySad
};
